summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-emulation/vmware-modules/Manifest2
-rw-r--r--app-emulation/vmware-modules/files/264.2-3.2.0.patch86
-rw-r--r--app-emulation/vmware-modules/vmware-modules-264.2.ebuild79
-rw-r--r--app-emulation/vmware-player/Manifest3
-rw-r--r--app-emulation/vmware-player/vmware-player-4.0.2.591240.ebuild248
-rw-r--r--app-emulation/vmware-workstation/Manifest3
-rw-r--r--app-emulation/vmware-workstation/vmware-workstation-8.0.2.591240.ebuild488
7 files changed, 909 insertions, 0 deletions
diff --git a/app-emulation/vmware-modules/Manifest b/app-emulation/vmware-modules/Manifest
index 9b40d8d..0190d23 100644
--- a/app-emulation/vmware-modules/Manifest
+++ b/app-emulation/vmware-modules/Manifest
@@ -14,6 +14,7 @@ AUX 264-jobserver.patch 2899 RMD160 0a90332d966245e11f1ecee5a60e47779a746ccb SHA
AUX 264-makefile-include.patch 2501 RMD160 da46f1229097539c7272d421f4d50b322e4d6e28 SHA1 30b57e8033e49eaf4923a4032765950e684533fc SHA256 208121855fe18ecb279ff40f2833463559363461c2170d32c17040211a01f169
AUX 264-makefile-kernel-dir.patch 2201 RMD160 22b81e2c3c347ac6bad3afef15eea31250c34f2a SHA1 033160ded8fda76e6f016040cc4bb3f4ca0dd603 SHA256 780b79fcc6e8e836632f4542ac6c3da2d475b3ad1e2e88e1c51aea849a5172c7
AUX 264-netdevice.patch 833 RMD160 552fa78378ac721865a0629a4a29318a11e6b1bd SHA1 16d95a575ea14de67d11f4faf72842c3edb96dea SHA256 8f17ce379abda45a8f94e1dcd6e43367273f97f76edd41f9941beb3b1730a751
+AUX 264.2-3.2.0.patch 2949 RMD160 e343db72eeb80e43ab5fbd5b4c2efebcb81c2c5e SHA1 bf88b0be9fcdc9705de846452d44833e0b146c11 SHA256 4105952362a9bf8a054df1c23f2562e86f79b3bef70696422548c01db248c1b0
AUX apic.patch 294 RMD160 ab0d6fea359f66ccd735cd3bc830442f6f6baa39 SHA1 537f1a903b94ea379003cf4e50c9507ae403c595 SHA256 6902f8dd82d48f479a3e5647e3bd7125d073f242dd85a5b2ddfd51f4ea8f663c
AUX iommu_map.patch 1630 RMD160 b403a19350d3a73e6ecf74159763b31d6d20b630 SHA1 d021dbbdb59273048806c09b8f59bd97a8883017 SHA256 6253ba1c6bd211d68e79ce9e811cdcc60ebc022a7787874922db552b32ef2b09
AUX sk_sleep.patch 6937 RMD160 e15642e34906138278563d57e9647e4e579d437e SHA1 ce9a3e9069bb85cb9793c59d38ad4f217ba8d5b2 SHA256 67a019290204b36410996ecd1bbe4e630b2022970ddb236a120abf1b810f05b4
@@ -23,4 +24,5 @@ EBUILD vmware-modules-138.10.7.ebuild 1825 RMD160 3e4999c91f97217815c9d8ad852a63
EBUILD vmware-modules-208.2.ebuild 1861 RMD160 6641f57a7906ff1eb243e14561c37475eda6d910 SHA1 aab9187681ca6b88b4178b98d259116130c39037 SHA256 140d78cc98da4cd19a24d593bec01417793592212273d632adfc465fe80ff311
EBUILD vmware-modules-238.5.ebuild 2087 RMD160 4ce59dbfcd91b1c7fb7890db44598b712bd4a167 SHA1 81b125573edfa561de02b9f8c4dd4dd96a44002b SHA256 25544d4c0c21e3ccd72f6730a9336487e5020c743bfa400c01d5c0623a504f2f
EBUILD vmware-modules-264.1.ebuild 1829 RMD160 0c13052213d7d078fde686aea8a873a23c3a167f SHA1 3965690ea5ffcd4818cfe0c6374d831df4ddd65a SHA256 ac0764230499f08db9bb0e32ccdb03aeae0d25e5205478c3820ec290601765cf
+EBUILD vmware-modules-264.2.ebuild 1823 RMD160 980fcbf2c20bc641c3dab7f9558c95f5b651d819 SHA1 fff835ce0251bfb73b5ce73d18208d11980fa597 SHA256 b525a28f480cd0450d0d00bd24741bd8fa263b1a49a795fd9d23b6abdefed536
MISC metadata.xml 159 RMD160 fc7f68a382390e5916b0fb43f37a893fad4f9798 SHA1 f46b02a39bcd0165558de67ff4256cfc812418a3 SHA256 8581ae1c90a48f50fa0542c7fb28cb8984baaf12f50fa18f33e467081effb215
diff --git a/app-emulation/vmware-modules/files/264.2-3.2.0.patch b/app-emulation/vmware-modules/files/264.2-3.2.0.patch
new file mode 100644
index 0000000..87f8914
--- /dev/null
+++ b/app-emulation/vmware-modules/files/264.2-3.2.0.patch
@@ -0,0 +1,86 @@
+diff --git a/vmnet-only/filter.c b/vmnet-only/filter.c
+index 491add5..74f7a3b 100644
+--- a/vmnet-only/filter.c
++++ b/vmnet-only/filter.c
+@@ -40,6 +40,10 @@
+ #include "vnetInt.h"
+ #include "vmnetInt.h"
+
++#if LINUX_VERSION_CODE >= KERNEL_VERSION(3, 2, 0)
++#include <linux/export.h>
++#endif
++
+ // VNet_FilterLogPacket.action for dropped packets
+ #define VNET_FILTER_ACTION_DRP (1)
+ #define VNET_FILTER_ACTION_DRP_SHORT (2)
+diff --git a/vmnet-only/netif.c b/vmnet-only/netif.c
+index 4bdb643..5b71339 100644
+--- a/vmnet-only/netif.c
++++ b/vmnet-only/netif.c
+@@ -62,7 +62,9 @@ static int VNetNetifClose(struct net_device *dev);
+ static int VNetNetifStartXmit(struct sk_buff *skb, struct net_device *dev);
+ static struct net_device_stats *VNetNetifGetStats(struct net_device *dev);
+ static int VNetNetifSetMAC(struct net_device *dev, void *addr);
++#if LINUX_VERSION_CODE < KERNEL_VERSION(3, 2, 0)
+ static void VNetNetifSetMulticast(struct net_device *dev);
++#endif
+ #if 0
+ static void VNetNetifTxTimeout(struct net_device *dev);
+ #endif
+@@ -131,7 +133,9 @@ VNetNetIfSetup(struct net_device *dev) // IN:
+ .ndo_stop = VNetNetifClose,
+ .ndo_get_stats = VNetNetifGetStats,
+ .ndo_set_mac_address = VNetNetifSetMAC,
++#if LINUX_VERSION_CODE < KERNEL_VERSION(3, 2, 0)
+ .ndo_set_multicast_list = VNetNetifSetMulticast,
++#endif
+ /*
+ * We cannot stuck... If someone will report problems under
+ * low memory conditions or some such, we should enable it.
+@@ -152,7 +156,9 @@ VNetNetIfSetup(struct net_device *dev) // IN:
+ dev->stop = VNetNetifClose;
+ dev->get_stats = VNetNetifGetStats;
+ dev->set_mac_address = VNetNetifSetMAC;
++#if LINUX_VERSION_CODE < KERNEL_VERSION(3, 2, 0)
+ dev->set_multicast_list = VNetNetifSetMulticast;
++#endif
+ /*
+ * We cannot stuck... If someone will report problems under
+ * low memory conditions or some such, we should enable it.
+@@ -612,11 +618,12 @@ VNetNetifSetMAC(struct net_device *dev, // IN:
+ *----------------------------------------------------------------------
+ */
+
++#if LINUX_VERSION_CODE < KERNEL_VERSION(3, 2, 0)
+ void
+ VNetNetifSetMulticast(struct net_device *dev) // IN: unused
+ {
+ }
+-
++#endif
+
+ /*
+ *----------------------------------------------------------------------
+diff --git a/vmnet-only/userif.c b/vmnet-only/userif.c
+index 541187b..77e0089 100644
+--- a/vmnet-only/userif.c
++++ b/vmnet-only/userif.c
+@@ -517,10 +517,18 @@ VNetCsumCopyDatagram(const struct sk_buff *skb, // IN: skb to copy
+ unsigned int tmpCsum;
+ const void *vaddr;
+
++#if LINUX_VERSION_CODE >= KERNEL_VERSION(3, 2, 0)
++ vaddr = kmap(skb_frag_page(frag));
++#else
+ vaddr = kmap(frag->page);
++#endif
+ tmpCsum = csum_and_copy_to_user(vaddr + frag->page_offset,
+ curr, frag->size, 0, &err);
++#if LINUX_VERSION_CODE >= KERNEL_VERSION(3, 2, 0)
++ kunmap(skb_frag_page(frag));
++#else
+ kunmap(frag->page);
++#endif
+ if (err) {
+ return err;
+ }
diff --git a/app-emulation/vmware-modules/vmware-modules-264.2.ebuild b/app-emulation/vmware-modules/vmware-modules-264.2.ebuild
new file mode 100644
index 0000000..64444c6
--- /dev/null
+++ b/app-emulation/vmware-modules/vmware-modules-264.2.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils flag-o-matic linux-info linux-mod versionator
+
+PV_MAJOR=$(get_major_version)
+PV_MINOR=$(get_version_component_range 2)
+
+DESCRIPTION="VMware kernel modules"
+HOMEPAGE="http://www.vmware.com/"
+
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ || ( =app-emulation/vmware-player-4.0.${PV_MINOR}*
+ =app-emulation/vmware-workstation-8.0.${PV_MINOR}* )"
+
+S=${WORKDIR}
+
+pkg_setup() {
+ CONFIG_CHECK="~HIGH_RES_TIMERS"
+ if kernel_is ge 2 6 37 && kernel_is lt 2 6 39; then
+ CONFIG_CHECK="${CONFIG_CHECK} BKL"
+ fi
+
+ linux-info_pkg_setup
+
+ linux-mod_pkg_setup
+
+ VMWARE_GROUP=${VMWARE_GROUP:-vmware}
+
+ VMWARE_MODULE_LIST="vmblock vmci vmmon vmnet vsock"
+ VMWARE_MOD_DIR="${PN}-${PVR}"
+
+ BUILD_TARGETS="auto-build KERNEL_DIR=${KERNEL_DIR} KBUILD_OUTPUT=${KV_OUT_DIR}"
+
+ enewgroup "${VMWARE_GROUP}"
+ filter-flags -mfpmath=sse
+
+ for mod in ${VMWARE_MODULE_LIST}; do
+ MODULE_NAMES="${MODULE_NAMES} ${mod}(misc:${S}/${mod}-only)"
+ done
+}
+
+src_unpack() {
+ cd "${S}"
+ for mod in ${VMWARE_MODULE_LIST}; do
+ tar -xf /opt/vmware/lib/vmware/modules/source/${mod}.tar
+ done
+}
+
+src_prepare() {
+ epatch "${FILESDIR}/${PV_MAJOR}-makefile-kernel-dir.patch"
+ epatch "${FILESDIR}/${PV_MAJOR}-makefile-include.patch"
+ epatch "${FILESDIR}/${PV_MAJOR}-jobserver.patch"
+ epatch "${FILESDIR}/${PV_MAJOR}-netdevice.patch"
+ epatch "${FILESDIR}/${PV}-3.2.0.patch"
+}
+
+src_install() {
+ linux-mod_src_install
+ local udevrules="${T}/60-vmware.rules"
+ cat > "${udevrules}" <<-EOF
+ KERNEL=="vmci", GROUP="vmware", MODE=660
+ KERNEL=="vmmon", GROUP="vmware", MODE=660
+ KERNEL=="vsock", GROUP="vmware", MODE=660
+ EOF
+ insinto /etc/udev/rules.d/
+ doins "${udevrules}"
+}
diff --git a/app-emulation/vmware-player/Manifest b/app-emulation/vmware-player/Manifest
index cde62c5..167f1d7 100644
--- a/app-emulation/vmware-player/Manifest
+++ b/app-emulation/vmware-player/Manifest
@@ -6,6 +6,9 @@ DIST VMware-Player-3.1.5-491717.i386.bundle 107094686 RMD160 293941018c9dec86eee
DIST VMware-Player-3.1.5-491717.x86_64.bundle 103019114 RMD160 b1a2544e5718474a1987389136a42034dfbc2ff2 SHA1 a253a486d6c6848620de200ef1837ced903daa1c SHA256 5aa1f01d09a1c39da06f3a314d3e47e75e80b4a345ef76dabe14e538fe3bc511
DIST VMware-Player-4.0.1-528992.i386.bundle 131763315 RMD160 bd26399b4044079fc95ecba62042b8ddab8709a7 SHA1 1f686ea7a6f3e13a390a5644581b809a27021ed5 SHA256 13eabb650f6746cad64a334abea3446dd8ab66ca386a4e13b7a3e77db8a95d6e
DIST VMware-Player-4.0.1-528992.x86_64.bundle 129509694 RMD160 c530e38d42222c2eec0f63e24ee24057b8d3dce9 SHA1 7332763867b6ed1978271a3335c7e135a1293210 SHA256 57f5e22c28827e4edf000aa44054cf62d886ed4c174cbb0ebe5e0e0eb6e9995c
+DIST VMware-Player-4.0.2-591240.i386.bundle 131962526 RMD160 fd624e21895c8cd2c05e4bfe59f719e67aae0736 SHA1 a3973dd32a1a39644d30532dc4cb4c6216869415 SHA256 774bc82e6079b723d57029f6511c8f10ebba5f41d1ba862151a41040e172052a
+DIST VMware-Player-4.0.2-591240.x86_64.bundle 129693508 RMD160 4b626e85a5828cb2023e181f71d94c609568665d SHA1 d417eb8538660db4ef07271fcc08152a3494bb58 SHA256 4aa09bed05c7fffa2e96b788f24626abcbe7d59749da544f37aedd15e1f459a8
EBUILD vmware-player-3.1.5.491717.ebuild 6334 RMD160 ee39299fbfb01c28c1890c862d3f39a4e3d7c163 SHA1 8b90cfe522e17a5c15b742afbc139d60decf9ca6 SHA256 ea378d1d5d1308689bacf2104f618dec655f732eff2c3e52ee11acb26656c57e
EBUILD vmware-player-4.0.1.528992-r2.ebuild 6344 RMD160 f84f1b01f325e57bc3f1a44240da971a9c6ffb79 SHA1 bc85f6e9ae5049bc9608190026665a4ce15cc4a7 SHA256 cd8a5e19a9b5e632ac93db1e9ebabe2ca01c5b86a4abeece82a5ae5b9f02924a
+EBUILD vmware-player-4.0.2.591240.ebuild 6344 RMD160 7dae786c1f34c568b0cb22d0374126c9d3a0c603 SHA1 a779a3a4fcb3aa31a76bd5025c23296db11d00fb SHA256 2df82b9645f707be5e573121cd62143802a078322a4952308a11c760696c6fff
MISC metadata.xml 238 RMD160 beef158e0603e5808d104743feba4be3e7a7e8c4 SHA1 276217c6f03ae24c0196519197240031a6961254 SHA256 8374f3a2a8f05bf0690ab35f79a20980026aefa9fabae93fe81442f54291018b
diff --git a/app-emulation/vmware-player/vmware-player-4.0.2.591240.ebuild b/app-emulation/vmware-player/vmware-player-4.0.2.591240.ebuild
new file mode 100644
index 0000000..0242f8d
--- /dev/null
+++ b/app-emulation/vmware-player/vmware-player-4.0.2.591240.ebuild
@@ -0,0 +1,248 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="4"
+
+inherit eutils versionator fdo-mime gnome2-utils vmware-bundle
+
+MY_PN="VMware-Player"
+MY_PV="$(replace_version_separator 3 - $PV)"
+MY_P="${MY_PN}-${MY_PV}"
+
+DESCRIPTION="Emulate a complete PC on your PC without the usual performance overhead of most emulators"
+HOMEPAGE="http://www.vmware.com/products/player/"
+SRC_URI="
+ x86? ( ${MY_P}.i386.bundle )
+ amd64? ( ${MY_P}.x86_64.bundle )
+ "
+
+LICENSE="vmware"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="cups doc +vmware-tools"
+RESTRICT="binchecks fetch strip"
+
+# vmware-workstation should not use virtual/libc as this is a
+# precompiled binary package thats linked to glibc.
+RDEPEND="dev-cpp/cairomm
+ dev-cpp/glibmm:2
+ dev-cpp/gtkmm:2.4
+ dev-cpp/libgnomecanvasmm:2.6
+ dev-cpp/libsexymm
+ dev-cpp/pangomm:1.4
+ dev-libs/atk
+ dev-libs/glib:2
+ dev-libs/libaio
+ dev-libs/libsigc++
+ dev-libs/libxml2
+ =dev-libs/openssl-0.9.8*
+ dev-libs/xmlrpc-c
+ gnome-base/libgnomecanvas
+ gnome-base/libgtop:2
+ gnome-base/librsvg:2
+ gnome-base/orbit
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/libart_lgpl
+ =media-libs/libpng-1.2*
+ net-misc/curl
+ cups? ( net-print/cups )
+ sys-devel/gcc
+ sys-fs/fuse
+ sys-libs/glibc
+ sys-libs/zlib
+ x11-libs/cairo
+ x11-libs/gtk+:2
+ x11-libs/libgksu
+ x11-libs/libICE
+ x11-libs/libsexy
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXau
+ x11-libs/libxcb
+ x11-libs/libXcomposite
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXdmcp
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXft
+ x11-libs/libXi
+ x11-libs/libXinerama
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libXtst
+ x11-libs/pango
+ x11-libs/startup-notification
+ !app-emulation/vmware-server
+ !app-emulation/vmware-workstation"
+PDEPEND="~app-emulation/vmware-modules-264.2
+ vmware-tools? ( app-emulation/vmware-tools )"
+
+S=${WORKDIR}
+VM_INSTALL_DIR="/opt/vmware"
+
+pkg_nofetch() {
+ local bundle
+
+ if use x86; then
+ bundle="${MY_P}.i386.bundle"
+ elif use amd64; then
+ bundle="${MY_P}.x86_64.bundle"
+ fi
+
+ einfo "Please download ${bundle}"
+ einfo "from ${HOMEPAGE}"
+ einfo "and place it in ${DISTDIR}"
+}
+
+src_unpack() {
+ local component ; for component in \
+ vmware-player \
+ vmware-player-app \
+ vmware-vmx \
+ vmware-usbarbitrator \
+ vmware-network-editor \
+ vmware-player-setup
+ #vmware-ovftool
+ do
+ vmware-bundle_extract-bundle-component "${DISTDIR}/${A}" "${component}" "${S}"
+ done
+}
+
+src_prepare() {
+ rm -f bin/vmware-modconfig
+ rm -rf lib/modules/binary
+}
+
+clean_bundled_libs() {
+ ebegin 'Removing superfluous libraries'
+ # exclude OpenSSL from unbundling until the AES-NI patch gets into the tree
+ # see http://forums.gentoo.org/viewtopic-t-835867.html
+ # must use shipped libgcr.so.0 or else "undefined symbol: gcr_certificate_widget_new"
+ ldconfig -p | sed 's:^\s\+\([^(]*[^( ]\).*=> \(/.*\)$:\1 \2:g;t;d' | fgrep -v 'libcrypto.so.0.9.8
+libssl.so.0.9.8
+libgcr.so.0' | while read -r libname libpath ; do
+ dosym "${libpath}" "${VM_INSTALL_DIR}/lib/vmware/lib/${libname}/${libname}"
+ done
+ eend
+}
+
+src_install() {
+ local major_minor_revision=$(get_version_component_range 1-3 "${PV}")
+ local build=$(get_version_component_range 4 "${PV}")
+
+ # install the binaries
+ into "${VM_INSTALL_DIR}"
+ dobin bin/* || die "failed to install bin"
+
+ # install the libraries
+ insinto "${VM_INSTALL_DIR}"/lib/vmware
+ doins -r lib/*
+
+ # install the ancillaries
+ insinto /usr
+ doins -r share
+
+ if use cups; then
+ exeinto $(cups-config --serverbin)/filter
+ doexe extras/thnucups
+
+ insinto /etc/cups
+ doins -r etc/cups/*
+ fi
+
+ # install documentation
+ if use doc; then
+ dodoc doc/*
+ fi
+
+ exeinto "${VM_INSTALL_DIR}"/lib/vmware/setup
+ doexe vmware-config
+
+ # create symlinks for the various tools
+ local tool ; for tool in thnuclnt vmplayer{,-daemon} \
+ vmware-{acetool,unity-helper,modconfig{,-console},gksu,fuseUI} ; do
+ dosym appLoader "${VM_INSTALL_DIR}"/lib/vmware/bin/"${tool}"
+ done
+ dosym "${VM_INSTALL_DIR}"/lib/vmware/bin/vmplayer "${VM_INSTALL_DIR}"/bin/vmplayer
+ dosym "${VM_INSTALL_DIR}"/lib/vmware/icu /etc/vmware/icu
+
+ # fix permissions
+ fperms 0755 "${VM_INSTALL_DIR}"/lib/vmware/bin/{appLoader,fusermount,launcher.sh,mkisofs,vmware-remotemks}
+ fperms 0755 "${VM_INSTALL_DIR}"/lib/vmware/lib/{wrapper-gtk24.sh,libgksu2.so.0/gksu-run-helper}
+ fperms 4711 "${VM_INSTALL_DIR}"/lib/vmware/bin/vmware-vmx{,-debug,-stats}
+
+ # create the environment
+ local envd="${T}/90vmware"
+ cat > "${envd}" <<-EOF
+ PATH='${VM_INSTALL_DIR}/bin'
+ ROOTPATH='${VM_INSTALL_DIR}/bin'
+ EOF
+ doenvd "${envd}" || die
+
+ # create the configuration
+ dodir /etc/vmware || die
+
+ cat > "${D}"/etc/vmware/bootstrap <<-EOF
+ BINDIR='${VM_INSTALL_DIR}/bin'
+ LIBDIR='${VM_INSTALL_DIR}/lib'
+ EOF
+
+ cat > "${D}"/etc/vmware/config <<-EOF
+ bindir = "${VM_INSTALL_DIR}/bin"
+ libdir = "${VM_INSTALL_DIR}/lib/vmware"
+ initscriptdir = "/etc/init.d"
+ authd.fullpath = "${VM_INSTALL_DIR}/sbin/vmware-authd"
+ gksu.rootMethod = "su"
+ VMCI_CONFED = "yes"
+ VMBLOCK_CONFED = "yes"
+ VSOCK_CONFED = "yes"
+ NETWORKING = "yes"
+ player.product.version = "${major_minor_revision}"
+ product.buildNumber = "${build}"
+ EOF
+
+ # install the init.d script
+ local initscript="${T}/vmware.rc"
+
+ sed -e "s:@@BINDIR@@:${VM_INSTALL_DIR}/bin:g" \
+ "${FILESDIR}/vmware-3.0.rc" > "${initscript}" || die
+ newinitd "${initscript}" vmware || die
+
+ # fill in variable placeholders
+ sed -e "s:@@LIBCONF_DIR@@:${VM_INSTALL_DIR}/lib/vmware/libconf:g" \
+ -i "${D}${VM_INSTALL_DIR}"/lib/vmware/libconf/etc/{gtk-2.0/{gdk-pixbuf.loaders,gtk.immodules},pango/pango{.modules,rc}} || die
+ sed -e "s:@@BINARY@@:${VM_INSTALL_DIR}/bin/vmplayer:g" \
+ -i "${D}/usr/share/applications/${PN}.desktop" || die
+}
+
+pkg_config() {
+ "${VM_INSTALL_DIR}"/bin/vmware-networks --postinstall ${PN},old,new
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+
+ ewarn "/etc/env.d was updated. Please run:"
+ ewarn "env-update && source /etc/profile"
+ ewarn ""
+ ewarn "Before you can use vmware-player, you must configure a default network setup."
+ ewarn "You can do this by running 'emerge --config ${PN}'."
+}
+
+pkg_prerm() {
+ einfo "Stopping ${PN} for safe unmerge"
+ /etc/init.d/vmware stop
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+}
diff --git a/app-emulation/vmware-workstation/Manifest b/app-emulation/vmware-workstation/Manifest
index 98ddb4e..c649beb 100644
--- a/app-emulation/vmware-workstation/Manifest
+++ b/app-emulation/vmware-workstation/Manifest
@@ -7,6 +7,9 @@ DIST VMware-Workstation-7.1.5-491717.i386.bundle 130351656 RMD160 110bc8a4486bdf
DIST VMware-Workstation-7.1.5-491717.x86_64.bundle 137361206 RMD160 b5f302400a0c33b2bc4a2b68ccc070f9329af047 SHA1 0cca1399008630ed76374d794806d60a93dc3e97 SHA256 857a71e4022a357a49aadc0516dae8909b34abf7a3681fbba5e76d92ee3be90b
DIST VMware-Workstation-Full-8.0.1-528992.i386.bundle 338993938 RMD160 57eac2aa9bff8849c881dfc8a50cd1f4254846d5 SHA1 5695b1728750a944b9c000a2fa5afade8980bb2c SHA256 88e6b210cffe77229dc9bd29d4a9eb1596f127fc676d7722acff3ad92c971446
DIST VMware-Workstation-Full-8.0.1-528992.x86_64.bundle 338744697 RMD160 71ca85cd6f61de4152f0b7204764ef6851a03a06 SHA1 14a4f66c881a6a163bda0dfcaa3fa1240c061679 SHA256 33d2418aca44d9effa45a56804e7fc9e1dabc9e0b74ee188fc8b3a16ba4292fe
+DIST VMware-Workstation-Full-8.0.2-591240.i386.bundle 339158324 RMD160 59806d3a85620fa19d32797d7eb434a5525e0647 SHA1 94c4d04b7b24ae03ead29f17445d576173d40bb4 SHA256 0605d68622887b916cb1c774bb4c26481bd97de4f13bfd13b950f10809d119e7
+DIST VMware-Workstation-Full-8.0.2-591240.x86_64.bundle 338890534 RMD160 a00f0d203aa0a03aaf00bbe678c38b2c1b30012d SHA1 6ad52e8f0768e279639cd41abeda4f9358b40d0f SHA256 804590c103d0ee09fbcfe5adcfa3bd99d2dc9e4a98dc61d4d4067e550ba7f6ec
EBUILD vmware-workstation-7.1.5.491717.ebuild 8264 RMD160 a90d1e633561f0d47aa252b63812e6c5e331ee94 SHA1 2a73547f67b10dda1d97d8d1c78f0231ebfdfc9f SHA256 b30027da9c1e27f88eb6edf69a53d38cc1f21e8e6d4b92164f5efea8e7111d2f
EBUILD vmware-workstation-8.0.1.528992-r2.ebuild 13647 RMD160 2e7d9db7f901bf3c75cc25e2e14c0241597b4040 SHA1 0128bfabe4d477de71290f703f7423092c430a08 SHA256 37b20a8ef4bcd16f6de5d78022937b725dfc95d06c8c25e08822f4dd4673fd91
+EBUILD vmware-workstation-8.0.2.591240.ebuild 13647 RMD160 d1461bac9f866dee6ae315c2f7b6089a781845ed SHA1 d48afd5841d799389b474c61df8799571e7797f3 SHA256 1477337b69a0abaf54c95d25b3d54e5e1cc0b5422ec713764785980d85b66a7c
MISC metadata.xml 821 RMD160 3fe06e26c1f6550712d29d27dbbe1bde8eeb3d29 SHA1 4cacecf9b113a8c46e921e1738d5c191bf693872 SHA256 b5634de5978f816c03495e72d4ee1cb72b372209ee7b8a8e88cec8963aa38647
diff --git a/app-emulation/vmware-workstation/vmware-workstation-8.0.2.591240.ebuild b/app-emulation/vmware-workstation/vmware-workstation-8.0.2.591240.ebuild
new file mode 100644
index 0000000..7da2cfc
--- /dev/null
+++ b/app-emulation/vmware-workstation/vmware-workstation-8.0.2.591240.ebuild
@@ -0,0 +1,488 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/vmware-workstation/vmware-workstation-8.0.1.528992-r1.ebuild,v 1.1 2011/12/04 13:30:14 vadimk Exp $
+
+EAPI="4"
+
+inherit eutils versionator fdo-mime gnome2-utils pam vmware-bundle
+
+MY_PN="VMware-Workstation"
+MY_PV="$(replace_version_separator 3 - $PV)"
+MY_P="${MY_PN}-Full-${MY_PV}"
+
+DESCRIPTION="Emulate a complete PC on your PC without the usual performance overhead of most emulators"
+HOMEPAGE="http://www.vmware.com/products/workstation/"
+SRC_URI="
+ x86? ( ${MY_P}.i386.bundle )
+ amd64? ( ${MY_P}.x86_64.bundle )
+ "
+
+LICENSE="vmware"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="cups doc gnome kde ovftool server vix vmware-tools"
+RESTRICT="binchecks fetch mirror strip"
+
+# vmware-workstation should not use virtual/libc as this is a
+# precompiled binary package thats linked to glibc.
+RDEPEND="dev-cpp/cairomm
+ dev-cpp/glibmm:2
+ dev-cpp/gtkmm:2.4
+ dev-cpp/libgnomecanvasmm
+ dev-cpp/libsexymm
+ dev-cpp/pangomm
+ dev-libs/atk
+ dev-libs/glib:2
+ dev-libs/icu
+ dev-libs/expat
+ dev-libs/libaio
+ dev-libs/libsigc++
+ dev-libs/libxml2
+ =dev-libs/openssl-0.9.8*
+ dev-libs/xmlrpc-c
+ gnome-base/libgnomecanvas
+ gnome-base/libgtop:2
+ gnome-base/librsvg:2
+ gnome-base/orbit
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/libart_lgpl
+ =media-libs/libpng-1.2*
+ media-libs/libpng
+ net-misc/curl
+ cups? ( net-print/cups )
+ sys-devel/gcc
+ sys-fs/fuse
+ sys-libs/glibc
+ sys-libs/zlib
+ x11-libs/cairo
+ gnome? ( x11-libs/gksu )
+ kde? ( kde-base/kdesu )
+ x11-libs/gtk+:2
+ x11-libs/libgksu
+ x11-libs/libICE
+ x11-libs/libsexy
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXau
+ x11-libs/libxcb
+ x11-libs/libXcomposite
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXdmcp
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXft
+ x11-libs/libXi
+ x11-libs/libXinerama
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libXtst
+ x11-libs/pango
+ x11-libs/startup-notification
+ x11-themes/hicolor-icon-theme
+ !app-emulation/vmware-player"
+PDEPEND="~app-emulation/vmware-modules-264.2
+ vmware-tools? ( app-emulation/vmware-tools )"
+
+S=${WORKDIR}
+VM_INSTALL_DIR="/opt/vmware"
+VM_DATA_STORE_DIR="/var/lib/vmware/Shared VMs"
+VM_HOSTD_USER="root"
+
+pkg_nofetch() {
+ local bundle
+
+ if use x86; then
+ bundle="${MY_P}.i386.bundle"
+ elif use amd64; then
+ bundle="${MY_P}.x86_64.bundle"
+ fi
+
+ einfo "Please download ${bundle}"
+ einfo "from ${HOMEPAGE}"
+ einfo "and place it in ${DISTDIR}"
+}
+
+src_unpack() {
+ local component; for component in \
+ vmware-vmx \
+ vmware-player-app \
+ vmware-player-setup \
+ vmware-workstation \
+ vmware-network-editor \
+ vmware-network-editor-ui \
+ vmware-usbarbitrator
+ do
+ vmware-bundle_extract-bundle-component "${DISTDIR}/${A}" "${component}" "${S}"
+ done
+
+ if use server; then
+ vmware-bundle_extract-bundle-component "${DISTDIR}/${A}" vmware-workstation-server #"${S}"
+ fi
+
+ if use vix; then
+ vmware-bundle_extract-bundle-component "${DISTDIR}/${A}" vmware-vix-core vmware-vix
+ vmware-bundle_extract-bundle-component "${DISTDIR}/${A}" vmware-vix-lib-Workstation800andvSphere500 vmware-vix
+ fi
+ if use ovftool; then
+ vmware-bundle_extract-bundle-component "${DISTDIR}/${A}" vmware-ovftool
+ fi
+
+}
+
+src_prepare() {
+ rm -f bin/vmware-modconfig
+ rm -rf lib/modules/binary
+ if use server; then
+ rm -f vmware-workstation-server/bin/{openssl,configure-hostd.sh}
+ fi
+
+ find "${S}" -name '*.a' -delete
+
+# clean_bundled_libs
+}
+
+clean_bundled_libs() {
+ ebegin 'Removing superfluous libraries'
+ cd lib/lib || die
+ ldconfig -p | \
+ sed 's:^\s\+\([^(]*[^( ]\).*=> /.*$:\1:g;t;d' | \
+ fgrep -vx 'libcrypto.so.0.9.8
+libssl.so.0.9.8i
+libgcr.so.0
+libglib-2.0.so.0' |
+ xargs -d'\n' -r rm -rf
+ eend
+}
+
+src_install() {
+ local major_minor=$(get_version_component_range 1-2 "${PV}")
+ local major_minor_revision=$(get_version_component_range 1-3 "${PV}")
+ local build=$(get_version_component_range 4 "${PV}")
+
+ # install the binaries
+ into "${VM_INSTALL_DIR}"
+ dobin bin/*
+
+ # install the libraries
+ insinto "${VM_INSTALL_DIR}"/lib/vmware
+ doins -r lib/*
+
+ # install the ancillaries
+ insinto /usr
+ doins -r share
+
+ if use cups; then
+ exeinto $(cups-config --serverbin)/filter
+ doexe extras/thnucups
+
+ insinto /etc/cups
+ doins -r etc/cups/*
+ fi
+
+ insinto /etc/xdg
+ doins -r etc/xdg/*
+
+ # install documentation
+ doman man/man1/vmware.1.gz
+
+ if use doc; then
+ dodoc doc/*
+ fi
+
+ insinto "${VM_INSTALL_DIR}"/lib/vmware/setup
+ doins vmware-config
+
+ # install vmware workstation server
+ if use server; then
+ dosbin sbin/*
+
+ cd "${S}"/vmware-workstation-server
+
+ # install binaries
+ into "${VM_INSTALL_DIR}"/lib/vmware
+ dobin bin/*
+
+ # install the libraries
+ insinto "${VM_INSTALL_DIR}"/lib/vmware/lib
+ doins -r lib/*
+
+ into "${VM_INSTALL_DIR}"
+ for tool in vmware-{hostd,vim-cmd,wssc-adminTool} ; do
+ cat > "${T}/${tool}" <<-EOF
+ #!/usr/bin/env bash
+ set -e
+
+ . /etc/vmware/bootstrap
+
+ exec "${VM_INSTALL_DIR}/lib/vmware/lib/wrapper-gtk24.sh" \\
+ "${VM_INSTALL_DIR}/lib/vmware/lib" \\
+ "${VM_INSTALL_DIR}/lib/vmware/bin/${tool}" \\
+ "${VM_INSTALL_DIR}/lib/vmware/libconf" "\$@"
+ EOF
+ dobin "${T}/${tool}"
+ done
+
+ insinto "${VM_INSTALL_DIR}"/lib/vmware
+ doins -r hostd
+
+ # create the configuration
+ insinto /etc/vmware/hostd
+ doins -r config/etc/vmware/hostd/*
+ doins -r etc/vmware/hostd/*
+
+ insinto /etc/vmware/ssl
+ doins etc/vmware/ssl/*
+
+ # pam
+ pamd_mimic_system vmware-authd auth account
+
+ # create directory for shared virtual machines.
+ keepdir "${VM_DATA_STORE_DIR}"
+ keepdir /var/log/vmware
+ fi
+
+ # install vmware-vix
+ if use vix; then
+ cd "${S}"/vmware-vix
+
+ # install the binary
+ into "${VM_INSTALL_DIR}"
+ dobin bin/*
+
+ # install the libraries
+ insinto "${VM_INSTALL_DIR}"/lib/vmware-vix
+ doins -r lib/*
+
+ dosym vmware-vix/libvixAllProducts.so "${VM_INSTALL_DIR}"/lib/libbvixAllProducts.so
+
+ # install headers
+ insinto /usr/include/vmware-vix
+ doins include/*
+
+ if use doc; then
+ dohtml -r doc/*
+ fi
+ fi
+
+ # install ovftool
+ if use ovftool; then
+ cd "${S}"
+
+ insinto "${VM_INSTALL_DIR}"/lib/vmware-ovftool
+ doins -r vmware-ovftool/*
+
+ chmod 0755 "${D}${VM_INSTALL_DIR}"/lib/vmware-ovftool/{ovftool,ovftool.bin}
+ dosym "${D}${VM_INSTALL_DIR}"/lib/vmware-ovftool/ovftool "${VM_INSTALL_DIR}"/bin/ovftool
+ fi
+
+ # create symlinks for the various tools
+ local tool ; for tool in thnuclnt vmware vmplayer{,-daemon} \
+ vmware-{acetool,enter-serial,gksu,fuseUI,modconfig{,-console},netcfg,tray,unity-helper} ; do
+ dosym appLoader "${VM_INSTALL_DIR}"/lib/vmware/bin/"${tool}"
+ done
+ dosym "${VM_INSTALL_DIR}"/lib/vmware/bin/vmplayer "${VM_INSTALL_DIR}"/bin/vmplayer
+ dosym "${VM_INSTALL_DIR}"/lib/vmware/bin/vmware "${VM_INSTALL_DIR}"/bin/vmware
+ dosym "${VM_INSTALL_DIR}"/lib/vmware/icu /etc/vmware/icu
+
+ # fixing gksu problem
+ if use gnome; then
+ dosym /usr/bin/gksu "${VM_INSTALL_DIR}"/bin/vmware-gksu
+ fi
+ if use kde; then
+ dosym /usr/bin/kdesu "${VM_INSTALL_DIR}"/bin/vmware-gksu
+ fi
+
+ # fix permissions
+ fperms 0755 "${VM_INSTALL_DIR}"/lib/vmware/bin/{appLoader,fusermount,launcher.sh,mkisofs,vmware-remotemks}
+ fperms 0755 "${VM_INSTALL_DIR}"/lib/vmware/lib/{wrapper-gtk24.sh,libgksu2.so.0/gksu-run-helper}
+ fperms 0755 "${VM_INSTALL_DIR}"/lib/vmware/setup/vmware-config
+ fperms 4711 "${VM_INSTALL_DIR}"/bin/vmware-mount
+ fperms 4711 "${VM_INSTALL_DIR}"/lib/vmware/bin/vmware-vmx{,-debug,-stats}
+ if use server; then
+ fperms 0755 "${VM_INSTALL_DIR}"/lib/vmware/bin/vmware-{hostd,vim-cmd,wssc-adminTool}
+ fperms 4711 "${VM_INSTALL_DIR}"/sbin/vmware-authd
+ fi
+ if use vix; then
+ fperms 0755 "${VM_INSTALL_DIR}"/lib/vmware-vix/setup/vmware-config
+ fi
+
+ # create the environment
+ local envd="${T}/90vmware"
+ cat > "${envd}" <<-EOF
+ PATH='${VM_INSTALL_DIR}/bin'
+ ROOTPATH='${VM_INSTALL_DIR}/bin'
+ EOF
+ doenvd "${envd}"
+
+ # create the configuration
+ dodir /etc/vmware
+
+ cat > "${D}"/etc/vmware/bootstrap <<-EOF
+ BINDIR='${VM_INSTALL_DIR}/bin'
+ LIBDIR='${VM_INSTALL_DIR}/lib'
+ EOF
+
+ cat > "${D}"/etc/vmware/config <<-EOF
+ bindir = "${VM_INSTALL_DIR}/bin"
+ libdir = "${VM_INSTALL_DIR}/lib/vmware"
+ initscriptdir = "/etc/init.d"
+ authd.fullpath = "${VM_INSTALL_DIR}/sbin/vmware-authd"
+ gksu.rootMethod = "su"
+ VMCI_CONFED = "yes"
+ VMBLOCK_CONFED = "yes"
+ VSOCK_CONFED = "yes"
+ NETWORKING = "yes"
+ player.product.version = "${major_minor_revision}"
+ product.version = "${major_minor_revision}"
+ product.buildNumber = "${build}"
+ product.name = "VMware Workstation"
+ workstation.product.version = "${major_minor_revision}"
+ EOF
+
+ if use vix; then
+ cat >> "${D}"/etc/vmware/config <<-EOF
+ vmware.fullpath = "${VM_INSTALL_DIR}/bin/vmware"
+ vix.libdir = "${VM_INSTALL_DIR}/lib/vmware-vix"
+ vix.config.version = "1"
+ EOF
+ fi
+
+ if use server; then
+ cat >> "${D}"/etc/vmware/config <<-EOF
+ authd.client.port = "902"
+ authd.proxy.nfc = "vmware-hostd:ha-nfc"
+ authd.soapserver = "TRUE"
+ EOF
+ fi
+
+ # install the init.d script
+ local initscript="${T}/vmware.rc"
+ sed -e "s:@@BINDIR@@:${VM_INSTALL_DIR}/bin:g" \
+ "${FILESDIR}/vmware-${major_minor}.rc" > ${initscript}
+ newinitd "${initscript}" vmware
+
+ if use server; then
+ # install the init.d script
+ local initscript="${T}/vmware-workstation-server.rc"
+ sed -e "s:@@ETCDIR@@:/etc/vmware:g" \
+ -e "s:@@PREFIX@@:${VM_INSTALL_DIR}:g" \
+ -e "s:@@BINDIR@@:${VM_INSTALL_DIR}/bin:g" \
+ -e "s:@@LIBDIR@@:${VM_INSTALL_DIR}/lib/vmware:g" \
+ "${FILESDIR}/vmware-server-8.0.rc" > ${initscript}
+ newinitd "${initscript}" vmware-workstation-server
+ fi
+
+ # fill in variable placeholders
+ sed -e "s:@@LIBCONF_DIR@@:${VM_INSTALL_DIR}/lib/vmware/libconf:g" \
+ -i "${D}${VM_INSTALL_DIR}"/lib/vmware/libconf/etc/{gtk-2.0/{gdk-pixbuf.loaders,gtk.immodules},pango/pango{.modules,rc}}
+ sed -e "s:@@BINARY@@:${VM_INSTALL_DIR}/bin/vmware:g" \
+ -i "${D}/usr/share/applications/${PN}.desktop"
+ sed -e "s:@@BINARY@@:${VM_INSTALL_DIR}/bin/vmplayer:g" \
+ -i "${D}/usr/share/applications/vmware-player.desktop"
+ sed -e "s:@@BINARY@@:${VM_INSTALL_DIR}/bin/vmware-netcfg:g" \
+ -i "${D}/usr/share/applications/vmware-netcfg.desktop"
+
+ if use server; then
+ # Configuration for vmware-workstation-server
+ local hostdUser="${VM_HOSTD_USER:-root}"
+ sed -e "/ACEDataUser/s:root:${hostdUser}:g" \
+ -i "${D}/etc/vmware/hostd/authorization.xml" || die
+
+ # Shared VMs Path: [standard].
+ sed -e "s:##{DS_NAME}##:standard:g" \
+ -e "s:##{DS_PATH}##:${VM_DATA_STORE_DIR}:g" \
+ -i "${D}/etc/vmware/hostd/datastores.xml" || die
+
+ sed -e "s:##{HTTP_PORT}##:-1:g" \
+ -e "s:##{HTTPS_PORT}##:443:g" \
+ -e "s:##{PIPE_PREFIX}##:/var/run/vmware/:g" \
+ -i "${D}/etc/vmware/hostd/proxy.xml" || die
+
+ # See vmware-workstation-server.py for more details.
+ sed -e "s:##{BUILD_CFGDIR}##:/etc/vmware/hostd/:g" \
+ -e "s:##{CFGALTDIR}##:/etc/vmware/hostd/:g" \
+ -e "s:##{CFGDIR}##:/etc/vmware/:g" \
+ -e "s:##{ENABLE_AUTH}##:true:g" \
+ -e "s:##{HOSTDMODE}##:ws:g" \
+ -e "s:##{HOSTD_CFGDIR}##:/etc/vmware/hostd/:g" \
+ -e "s:##{HOSTD_MOCKUP}##:false:g" \
+ -e "s:##{LIBDIR}##:${VM_INSTALL_DIR}/lib/vmware:g" \
+ -e "s:##{LIBDIR_INSTALLED}##:${VM_INSTALL_DIR}/lib/vmware/:g" \
+ -e "s:##{LOGDIR}##:/var/log/vmware/:g" \
+ -e "s:##{LOGLEVEL}##:verbose:g" \
+ -e "s:##{MOCKUP}##:mockup-host-config.xml:g" \
+ -e "s:##{PLUGINDIR}##:./:g" \
+ -e "s:##{SHLIB_PREFIX}##:lib:g" \
+ -e "s:##{SHLIB_SUFFIX}##:.so:g" \
+ -e "s:##{USE_BLKLISTSVC}##:false:g" \
+ -e "s:##{USE_CBRCSVC}##:false:g" \
+ -e "s:##{USE_CIMSVC}##:false:g" \
+ -e "s:##{USE_DIRECTORYSVC}##:false:g" \
+ -e "s:##{USE_DIRECTORYSVC_MOCKUP}##:false:g" \
+ -e "s:##{USE_DYNAMIC_PLUGIN_LOADING}##:false:g" \
+ -e "s:##{USE_DYNAMO}##:false:g" \
+ -e "s:##{USE_DYNSVC}##:false:g" \
+ -e "s:##{USE_GUESTSVC}##:false:g" \
+ -e "s:##{USE_HBRSVC}##:false:g" \
+ -e "s:##{USE_HBRSVC_MOCKUP}##:false:g" \
+ -e "s:##{USE_HOSTSVC_MOCKUP}##:false:g" \
+ -e "s:##{USE_HTTPNFCSVC}##:false:g" \
+ -e "s:##{USE_HTTPNFCSVC_MOCKUP}##:false:g" \
+ -e "s:##{USE_LICENSESVC_MOCKUP}##:false:g" \
+ -e "s:##{USE_NFCSVC}##:true:g" \
+ -e "s:##{USE_NFCSVC_MOCKUP}##:false:g" \
+ -e "s:##{USE_OVFMGRSVC}##:true:g" \
+ -e "s:##{USE_PARTITIONSVC}##:false:g" \
+ -e "s:##{USE_SECURESOAP}##:false:g" \
+ -e "s:##{USE_SNMPSVC}##:false:g" \
+ -e "s:##{USE_SOLO_MOCKUP}##:false:g" \
+ -e "s:##{USE_STATSSVC_MOCKUP}##:false:g" \
+ -e "s:##{USE_VCSVC_MOCKUP}##:false:g" \
+ -e "s:##{USE_VDISKSVC}##:false:g" \
+ -e "s:##{USE_VDISKSVC_MOCKUP}##:false:g" \
+ -e "s:##{USE_VMSVC_MOCKUP}##:false:g" \
+ -e "s:##{VM_INVENTORY}##:vmInventory.xml:g" \
+ -e "s:##{VM_RESOURCES}##:vmResources.xml:g" \
+ -e "s:##{WEBSERVER_PORT_ENTRY}##::g" \
+ -e "s:##{WORKINGDIR}##:./:g" \
+ -i "${D}/etc/vmware/hostd/config.xml" || die
+
+ sed -e "s:##{ENV_LOCATION}##:/etc/vmware/hostd/env/:g" \
+ -i "${D}/etc/vmware/hostd/environments.xml" || die
+
+ # @@VICLIENT_URL@@=XXX
+ sed -e "s:@@AUTHD_PORT@@:902:g" \
+ -i "${D}${VM_INSTALL_DIR}/lib/vmware/hostd/docroot/client/clients.xml" || die
+ fi
+}
+
+pkg_config() {
+ "${VM_INSTALL_DIR}"/bin/vmware-networks --postinstall ${PN},old,new
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+
+ ewarn "/etc/env.d was updated. Please run:"
+ ewarn "env-update && source /etc/profile"
+ ewarn ""
+ ewarn "Before you can use vmware workstation, you must configure a default network setup."
+ ewarn "You can do this by running 'emerge --config ${PN}'."
+}
+
+pkg_prerm() {
+ einfo "Stopping ${PN} for safe unmerge"
+ /etc/init.d/vmware stop
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+}